petsc-3.4.2 2013-07-02

# SNESLineSearch

Abstract PETSc object that manages line-search operations

### Synopsis

    /*J
        SNESLineSearchType - String with the name of a PETSc line search method

    .seealso: SNESLineSearchSetType(), SNES
    J*/

    typedef const char* SNESLineSearchType;

### See Also

SNESLineSearchCreate(), SNESLineSearchSetType(), SNES

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex15.c.html